Get Health

Get Health

Get the SDDC LCM health status.

Request
URI
GET
https://vcf.broadcom.com/sddc-lcm/v1/health
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Health of type(s) application/json
{
    "up": true
}
boolean
up
Optional

up


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required  

Unique error code for programmatic identification.

object
message
Required  

message

object
resolution
Required  

resolution

string
referenceId
Required  

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required  

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sddc-lcm/v1/health